<?php

//DEFINE CONTENT TYPE
Header("Content-type: image/png");

//DEFINE BACKGROUND SIZE
$height = 300;
$width = 300;
//TELLS IT TO CREATE BACK (IMAGE) AT DEFINED SIZE
$im = ImageCreate($width, $height);


//TELLS IT WHAT COLOR TO MAKE YOUR BACK (IMAGE)
//IMAGE + RGB (RED-GREEN-BLUE)
$bck = ImageColorAllocate($im, 255,255,255);
// SET BACK TO TRANSPARENT.
ImageColorTransparent($im, $bck); 
// MAKE YOUR BACKGROUND SHAPE. 
imagefilledrectangle($im, 0, 0, 300, 300, $bck); 

//COLOR VARIABLES
$maroon = ImageColorAllocate($im, 128, 0, 0);
$burly = ImageColorAllocate($im, 222, 184, 135);
$black =imagecolorallocate($im, 0, 0, 0);
$white = ImageColorAllocate($im, 255, 255, 255);

$Tile = imageCreateFromgif('gr-tex.gif');
imageSetTile ($im, $Tile);

// IMG_COLOR_TILED IS USED INSTEAD OF COLOR. 

imagefilledellipse ($im, 150, 150, 110, 60, $burly);
imagefilledellipse ($im, 150, 200, 110, 60, $burly);
imagefilledellipse ($im, 170, 175, 150, 80, IMG_COLOR_TILED);
imagefilledellipse ($im, 220, 150, 120, 60, IMG_COLOR_TILED);
imagefilledellipse ($im, 100, 180, 120, 60, IMG_COLOR_TILED);
imagefilledellipse ($im, 220, 170, 10, 10, $black);

imagesetthickness($im, 5);
imageline($im, 220, 50, 220, 170, $white); 

imagesetthickness($im, 3);
imagefilledPolygon ($im, array ( 220, 50, 180, 75, 175, 78, 180, 81, 220, 60), 5, $maroon);

//SHOW IMAGE OUTPUT AS PNG

Imagepng($im);

//FREE THE IMAGE (CLEAR FROM CACHE)
imagedestroy($im);
imagedestroy($tile);

?>
